Global coll_player=1, coll_dogs=2, coll_trees=3
Global skybox, land, cam1, wade_vol#, run_vol#, wadechannel, runchannel
Global waterlevel=4

Graphics3D 640,480,16,2
SetBuffer BackBuffer() 

cam1 = CreateCamera()
CameraViewport cam1,0,0,640,480

; Set collision type values . . . 2=slide by
Collisions coll_dogs,coll_dogs,1,2 			;dogs can't walk through dogs
Collisions coll_dogs,coll_trees,1,2			;dogs can't walk through trees
Collisions coll_dogs,coll_player,1,2		;dogs can't walk through you
Collisions coll_player,coll_trees,1,2		;you can't walk through trees
Collisions coll_player,coll_dogs,1,2		;you can't walk through dogs

EntityType cam1,coll_player
EntityRadius cam1,5 					

MakeWater("water.jpg",waterlevel)
MakeTerrain()
MakeSkybox()
LoadTrees("tree.b3d")
LoadMusic("spacepanic.mp3")
LoadSFX()

AmbientLight 50,50,50	;up the light a tad
LoadLights()

Type dog
	Field ID
End Type
LoadDogs("dog.b3d")

While Not KeyHit(1)
	object_key_control(cam1)
	ChannelVolume wadeChannel, wade_vol#
	ChannelVolume runChannel, run_vol#
	
	MoveDogs(cam1)	

	PositionEntity skybox,EntityX(cam1),EntityY(cam1),EntityZ(cam1) 
	
	UpdateWorld
	RenderWorld
	
	;2D stuff here 
	Flip
Wend
End

Include "gamefunctions6.bb"
Include "game6data.bb"