; Insert includes, declare global variables, dimension arrays

; Set video mode
Graphics3D 640,480,16,2
SetBuffer BackBuffer()

; Setup cameras
cam1 = CreateCamera()
CameraViewport cam1,0,0,640,480

; Load level objects, e.g. meshes, lights, terrain, water plane, skybox, set collisions...
light1=CreateLight()
cube1=CreateCube()
PositionEntity cube1,-2,-2,10
sphere0=CreateSphere()
PositionEntity sphere0,-2,1,10

; The MAIN GAME LOOP

While Not KeyHit(1)
     ; Keyboard/Mouse Controls
     ; 3D Stuff, e.g. move/animate meshes, launch projectiles, check collisions...

     UpdateWorld
     RenderWorld

     ; 2D stuff here, update HUD, text, stats...
     Text 50,50,"Hello Cube!"

     Flip
Wend

End

; Subroutines & Functions can be here 