Global coll_player=1, coll_dogs=2, coll_trees=3, coll_projectile=4 ;***
Global skybox, land, cam1, wade_vol#, run_vol#, wadechannel, runchannel,shoot, boom ;***
Global waterlevel=4
Global projectile_sprite, explosion_sprite, doghit	;***

Graphics3D 640,480,16,2
SetBuffer BackBuffer()

Collisions coll_dogs,coll_dogs,1,2
Collisions coll_dogs,coll_trees,1,2
Collisions coll_dogs,coll_player,1,2
Collisions coll_player,coll_trees,1,2
Collisions coll_player,coll_dogs,1,2
Collisions coll_projectile,coll_dogs,2,1	;***

Type Explosion
	Field alpha#,sprite
End Type
	
Type Projectile
	Field sprite,time_out
End Type

Type dog
	Field ID
End Type

cam1 = CreateCamera()
CameraViewport cam1,0,0,640,480
EntityType cam1,coll_player
EntityRadius cam1,5

AmbientLight 125,125,125

LoadSprites()
MakeTerrain()
LoadLights()
MakeWater("water.jpg",waterlevel)
MakeSkybox()
LoadTrees("tree.b3d")
LoadMusic("spacepanic.mp3")
LoadSFX()
LoadDogs("dog.b3d")

While Not KeyHit(1)
	object_key_control(cam1)
	UpdateProjectiles()
	ChannelVolume wadeChannel, wade_vol#
	ChannelVolume runChannel, run_vol#
	
	MoveDogs(cam1)	

	PositionEntity skybox,EntityX(cam1),EntityY(cam1),EntityZ(cam1) 
	
	UpdateWorld
	RenderWorld
	
	;2D stuff here 
	Flip
Wend
End

Include "gamefunctions7.bb"
Include "game7data.bb"